Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface SpecificationLinkQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterQueryType, org.eclipse.emf.common.notify.Notifier, RegistryObjectQueryType

All Known Implementing Classes:
  SpecificationLinkQueryTypeImpl

    public interface SpecificationLinkQueryType

extends RegistryObjectQueryType

A representation of the model object 'Specification Link Query Type'.

The following features are supported:

- `Usage Description Branch`
- `Service Binding Query`
- `Specification Object Query`

See Also:
  `QueryPackage.getSpecificationLinkQueryType()`

Method Summary
`ServiceBindingQueryType` | `getServiceBindingQuery()` Returns the value of the 'Service Binding Query' containment reference.
`RegistryObjectQueryType` | `getSpecificationObjectQuery()` Returns the value of the 'Specification Object Query' containment reference.
`InternationalStringBranchType` | `getUsageDescriptionBranch()` Returns the value of the 'Usage Description Branch' containment reference.
`void` | `setServiceBindingQuery(ServiceBindingQueryType value)` Sets the value of the '`Service Binding Query`' containment reference.
`void` | `setSpecificationObjectQuery(RegistryObjectQueryType value)` Sets the value of the '`Specification Object Query`' containment reference.
`void` | `setUsageDescriptionBranch(InternationalStringBranchType value)` Sets the value of the '`Usage Description Branch`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.RegistryObjectQueryType
`getClassificationQuery, getDescriptionBranch, getExternalIdentifierQuery, getNameBranch, getObjectTypeQuery, getSlotBranch, getSourceAssociationQuery, getStatusQuery, getTargetAssociationQuery, getVersionInfoFilter, setDescriptionBranch, setNameBranch, setObjectTypeQuery, setStatusQuery, setVersionInfoFilter`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterQueryType
`getPrimaryFilter, setPrimaryFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getUsageDescriptionBranch

    InternationalStringBranchType getUsageDescriptionBranch()

  Returns the value of the 'Usage Description Branch' containment reference.

  If the meaning of the 'Usage Description Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Usage Description Branch' containment reference.
  See Also:
    `setUsageDescriptionBranch(InternationalStringBranchType)`, `QueryPackage.getSpecificationLinkQueryType_UsageDescriptionBranch()`

### setUsageDescriptionBranch

    void setUsageDescriptionBranch(InternationalStringBranchType value)

  Sets the value of the '`Usage Description Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Usage Description Branch' containment reference.
  See Also:
    `getUsageDescriptionBranch()`

### getServiceBindingQuery

    ServiceBindingQueryType getServiceBindingQuery()

  Returns the value of the 'Service Binding Query' containment reference.

  If the meaning of the 'Service Binding Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Binding Query' containment reference.
  See Also:
    `setServiceBindingQuery(ServiceBindingQueryType)`, `QueryPackage.getSpecificationLinkQueryType_ServiceBindingQuery()`

### setServiceBindingQuery

    void setServiceBindingQuery(ServiceBindingQueryType value)

  Sets the value of the '`Service Binding Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Binding Query' containment reference.
  See Also:
    `getServiceBindingQuery()`

### getSpecificationObjectQuery

    RegistryObjectQueryType getSpecificationObjectQuery()

  Returns the value of the 'Specification Object Query' containment reference.

  If the meaning of the 'Specification Object Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification Object Query' containment reference.
  See Also:
    `setSpecificationObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getSpecificationLinkQueryType_SpecificationObjectQuery()`

### setSpecificationObjectQuery

    void setSpecificationObjectQuery(RegistryObjectQueryType value)

  Sets the value of the '`Specification Object Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Specification Object Query' containment reference.
  See Also:
    `getSpecificationObjectQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD